import math

# Funkcja zwraca sumę dzielników pierwszych,
# na przykład dla 72 = 2*2*2*3*3, zwróci ona
# 12 = 2+2+2+3+3.
def suma_dzielnikow_pierwszych(X):
    suma = 0

    # Iterujemy się po wszystkich liczbach do pierwiastka z X.
    i = 2
    while i * i <= X:
        # Dopóki X jest podzielne przez i.
        while X % i == 0:
            # Dodajemy wartość i do sumy (musi być ona pierwsza).
            suma += i
            # Następnie dzielimy X przez i, aby pozbyć
            # się tego dzielnika pierwszego.
            X //= i
        i += 1
    
    # Jeżeli X nie jest równe 1,
    # oznacza to, że została nam liczba
    # pierwsza, którą musimy dodać.
    if X > 1:
        suma += X
    return suma

def main():
    A, B = map(int, input().split())

    # Obliczamy największy wspólny dzielnik korzystając
    # z funkcji bibliotecznej.
    nwd = math.gcd(A, B)

    # Wynikiem będzie suma dzielników pierwszych
    # liczb A / nwd oraz B / nwd.
    wynik = suma_dzielnikow_pierwszych(A // nwd) + suma_dzielnikow_pierwszych(B // nwd)
    print(wynik)

if __name__ == "__main__":
    main()
